BEGIN ~RUKRAJ~

IF ~Global("RukrakiaSezarMeeting","GLOBAL",3)
    Global("RukSezarFirstTalk","LOCALS",0)~ 
  THEN BEGIN B0 // from:
  SAY @0
  IF ~~ THEN DO ~SetGlobal("RukSezarFirstTalk","LOCALS",1)~ EXTERN ~ruksezar~ se0
END

IF ~~ 
  THEN BEGIN B1 // from:
  SAY @1
  IF ~~ THEN EXTERN ~ruksezar~ se1
END

IF ~~ 
  THEN BEGIN B2 // from:
  SAY @2
  IF ~~ THEN EXTERN ~ruksezar~ se2
END

IF ~~ 
  THEN BEGIN B3 // from:
  SAY @3
  IF ~~ THEN EXTERN ~ruksezar~ se3
END

IF ~!Global("RukrakiaSezar","GLOBAL",1)
    Global("RukrakiaSezarMeeting","GLOBAL",4)~ 
  THEN BEGIN B4 // from:
  SAY @4
  IF ~!Global("RukrakiaFirstNight","GLOBAL",3)~ THEN REPLY @5 DO ~SetGlobal("RukrakiaSezarMeeting","GLOBAL",5)~ GOTO B5
  IF ~!Global("RukrakiaFirstNight","GLOBAL",3)~ THEN REPLY @6 DO ~SetGlobal("RukrakiaSezarMeeting","GLOBAL",5)~ GOTO B6
  IF ~Global("RukrakiaFirstNight","GLOBAL",3)~ THEN REPLY @7 DO ~SetGlobal("RukrakiaSezarMeeting","GLOBAL",5)~ GOTO B7
  IF ~Global("RukrakiaFirstNight","GLOBAL",3)~ THEN REPLY @8 DO ~SetGlobal("RukrakiaSezarMeeting","GLOBAL",5)~ GOTO B8
END

IF ~~ 
  THEN BEGIN B5 // from:
  SAY @9 = @10
  IF ~~ THEN DO ~SetGlobal("LoveTalk","LOCALS",6)~ EXIT
END

IF ~~ 
  THEN BEGIN B6 // from:
  SAY @11
  IF ~~ THEN DO ~SetGlobal("LoveTalk","LOCALS",6)~ EXIT 
END

IF ~~ 
  THEN BEGIN B7 // from:
  SAY @12 = @13
  IF ~~ THEN DO ~SetGlobal("LoveTalk","LOCALS",6)~ EXIT
END

IF ~~ 
  THEN BEGIN B8 // from:
  SAY @14
  IF ~~ THEN DO ~SetGlobal("RukrakiaRomanceActive","GLOBAL",1)~ EXIT
END

IF ~Global("RukrakiaSezar","GLOBAL",1)
    Global("RukrakiaSezarMeeting","GLOBAL",4)~ 
  THEN BEGIN B9 // from:
  SAY @15
  IF ~~ THEN REPLY @16 DO ~SetGlobal("RukrakiaSezarMeeting","GLOBAL",5)~ GOTO B10
  IF ~~ THEN REPLY @17 DO ~SetGlobal("RukrakiaSezarMeeting","GLOBAL",5)~ GOTO B11
  IF ~GlobalGT("RukrakiaRomanceActive","GLOBAL",3)~ THEN REPLY @18 DO ~SetGlobal("RukrakiaSezarMeeting","GLOBAL",5)~ GOTO B12
END

IF ~~
  THEN BEGIN B10 // from:
  SAY @19
  IF ~~ THEN DO ~SetGlobal("RukrakiaRomanceActive","GLOBAL",1)
                 EscapeArea()~ EXIT
END

IF ~~ 
  THEN BEGIN B11 // from:
  SAY @20 = @21 = @22
  IF ~~ THEN DO ~SetGlobal("RukrakiaRomanceActive","GLOBAL",1)
                 EscapeArea()~ EXIT
END

IF ~~ 
  THEN BEGIN B12 // from:
  SAY @23
  IF ~~ THEN DO ~SetGlobal("RukrakiaRomanceActive","GLOBAL",1)~ EXIT
END

//---------------------------------------------------------

IF ~Global("RukPastPhaere","LOCALS",1)
Global("PhaereInnuendo","GLOBAL",3)~ THEN BEGIN ph1
  SAY @33 = @35
  IF ~~ THEN DO ~SetGlobal("RukPastPhaere","LOCALS",2)~ EXIT
END

IF ~Global("RukPastPhaere","LOCALS",1)
Global("PhaereInnuendo","GLOBAL",2)~ THEN BEGIN ph2
  SAY @34 = @35
  IF ~~ THEN DO ~SetGlobal("RukPastPhaere","LOCALS",2)
                 SetGlobal("RukrakiaRomanceActive","GLOBAL",1)~ EXIT
END

IF ~~
  THEN BEGIN flirt1 // from:
  SAY @38
  IF ~~ THEN DO ~SetGlobal("RukrakiaTELEPORT","LOCALS",1)~ EXIT
END

IF ~~
  THEN BEGIN flirt2 // from:
  SAY @38
  IF ~~ THEN DO ~SetGlobal("RukrakiaTELEPORT","LOCALS",0)~ EXIT
END

IF ~~
  THEN BEGIN flirt3 // from:
  SAY @38
  IF ~~ THEN DO ~SetGlobal("RukrakiaSCRAttack","LOCALS",1)~ EXIT
END

IF ~~
  THEN BEGIN flirt4 // from:
  SAY @38
  IF ~~ THEN DO ~SetGlobal("RukrakiaSCRAttack","LOCALS",0)~ EXIT
END

IF ~~
  THEN BEGIN flirt5 // from:
  SAY @43
  IF ~~ THEN EXIT
END

IF ~~
  THEN BEGIN flirt6 // from:
  SAY @44
  IF ~~ THEN EXIT
END

IF ~~
  THEN BEGIN flirt7 // from:
  SAY @45
  IF ~~ THEN EXIT
END

IF ~~
  THEN BEGIN flirt8 // from:
  SAY @47 = @48
  IF ~~ THEN EXIT
END

IF ~~
  THEN BEGIN flirt9 // from:
  SAY @50 = @53
  IF ~~ THEN DO ~StartCutSceneMode()
                 StartCutScene("ruknigh1")~ EXIT
END

IF ~~
  THEN BEGIN flirt10 // from:
  SAY @51 = @52
  IF ~~ THEN EXIT
END

IF ~~
  THEN BEGIN flirt11 // from:
  SAY @476
  IF ~~ THEN EXIT
END

IF ~~
  THEN BEGIN flirt12 // from:
  SAY @477
  IF ~~ THEN EXIT
END

IF ~~
  THEN BEGIN flirt13 // from:
  SAY @478
  IF ~~ THEN EXIT
END

IF ~~
  THEN BEGIN flirt14 // from:
  SAY @479
  IF ~~ THEN EXIT
END

IF ~~
  THEN BEGIN flirt15 // from:
  SAY @480
  IF ~~ THEN DO ~RunAwayFrom(Protagonist, 45)~ EXIT
END

IF ~~
  THEN BEGIN flirt16 // from:
  SAY @481
  IF ~~ THEN EXIT
END

IF ~~
  THEN BEGIN flirt17 // from:
  SAY @482
  IF ~~ THEN EXIT
END

IF ~~
  THEN BEGIN flirt18 // from:
  SAY @483
  IF ~~ THEN EXIT
END

IF ~~
  THEN BEGIN flirt19 // from:
  SAY @484
  IF ~~ THEN EXIT
END

IF ~~
  THEN BEGIN flirt20 // from:
  SAY @485 = @486
  IF ~~ THEN EXIT
END

IF ~~
  THEN BEGIN flirt21 // from:
  SAY @487 = @488
  IF ~~ THEN EXIT
END

IF ~~
  THEN BEGIN flirt22 // from:
  SAY @489 = @490
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN ruksalva1 // from:
  SAY @59
  IF ~~ THEN EXTERN ~SALVANAS~ ruksalva2
END

IF ~~ THEN BEGIN ruksalva3 // from:
  SAY @64 = @65
  IF ~~ THEN EXTERN ~SALVANAS~ ruksalva4
END

IF ~~ THEN BEGIN ruksalva6 // from:
  SAY @69
  IF ~~ THEN EXTERN ~SALVANAS~ ruksalva7
END

IF ~Global("RukMeetFirkTalk1","LOCALS",2)~
  THEN BEGIN rukfirk0
  SAY @79 = @80
  IF ~~ THEN DO ~SetGlobal("RukMeetFirkTalk1","LOCALS",3)~ EXIT
END

IF ~Global("RukrakiaTalkPool1","AR2402",1)~ THEN BEGIN rukudpool1 // from:
  SAY @104
  IF ~~ THEN EXIT
END

IF ~~ 
  THEN BEGIN rukattackzar // from:
  SAY @151
  IF ~~ THEN DO ~SetGlobal("LyrosJob","GLOBAL",2)
                 ActionOverride("lyros",ChangeAIScript("", OVERRIDE))
                 ActionOverride("lyros",Enemy())
                 ForceSpell("lyros",PHASE_SPIDER_TELEPORT)
                 Wait(2)
                 Attack("lyros")~ EXIT
END

IF ~~ THEN BEGIN rukatkorgan // from:
  SAY @199
  IF ~~ THEN DO ~ActionOverride("KORGAN",Enemy())
                 ForceSpell("KORGAN",PHASE_SPIDER_TELEPORT)
                 Wait(2)
                 Attack("KORGAN")~ EXIT
END

IF ~~ THEN BEGIN rukatcaptin // from:
  SAY @204
  IF ~~ THEN DO ~ActionOverride("LOUTCAPT",Enemy())
                 ActionOverride("LOUTCAPT",Shout(89))
                 ForceSpell("LOUTCAPT",PHASE_SPIDER_TELEPORT)
                 Wait(2)
                 Attack("LOUTCAPT")~ EXIT
END

IF ~~ THEN BEGIN rukJAHEIRAJF // from:
  SAY @234
  IF ~~ THEN DO ~SetGlobal("RukrakiaRomanceActive","GLOBAL",1)~ GOTO rukJAHEIRAJF1
END

IF ~~ THEN BEGIN rukJAHEIRAJF1 // from:
  SAY @235
  COPY_TRANS JAHEIRAJ 46
END

IF ~~ THEN BEGIN rukatlehtin // from:
  SAY @289
  IF ~~ THEN DO ~SetGlobal("HendakFight","AR0406",1)
                 ActionOverride("LEHTIN",Enemy())
                 ForceSpell("LEHTIN",PHASE_SPIDER_TELEPORT)
                 Wait(2)
                 Attack("LEHTIN")~ EXIT
END

IF ~~ THEN BEGIN rukatRUFPAL2#1 // from:
  SAY @376
  IF ~~ THEN DO ~ActionOverride("RUFFIAN",Enemy())
                 ActionOverride("RUFPAL1",Enemy())
                 ActionOverride("RUFPAL2",Enemy())
                 ForceSpell("RUFFIAN",PHASE_SPIDER_TELEPORT)
                 Wait(2)
                 Attack("RUFFIAN")~ EXIT
END

IF ~~ THEN BEGIN rukatRUFPAL1#1 // from:
  SAY @378
  IF ~~ THEN DO ~ActionOverride("RUFPAL1",Enemy())
                 ActionOverride("RUFPAL2",Enemy())
                 ForceSpell("RUFPAL1",PHASE_SPIDER_TELEPORT)
                 Wait(2)
                 Attack("RUFPAL1")~ EXIT
END

IF ~~ THEN BEGIN rukatRUFPAL2#2 // from:
  SAY @378
  IF ~~ THEN DO ~ActionOverride("RUFPAL1",Enemy())
                 ActionOverride("RUFPAL2",Enemy())
                 ForceSpell("RUFPAL2",PHASE_SPIDER_TELEPORT)
                 Wait(2)
                 Attack("RUFPAL2")~ EXIT
END

IF ~~ THEN BEGIN rukatSEVPAT01#1 // from:
  SAY @407
  IF ~~ THEN DO ~SetGlobal("RiatavinFight","GLOBAL",1)
                 ActionOverride("SEVPAT01",Enemy())
                 ForceSpell("SEVPAT01",PHASE_SPIDER_TELEPORT)
                 Wait(2)
                 Attack("SEVPAT01")~ EXIT
END

IF ~~ THEN BEGIN rukUHOGRE01F // from:
  SAY @431
  IF ~~ THEN DO ~SetGlobal("RukrakiaRomanceActive","GLOBAL",1)
                 ActionOverride("UHOGRE01",Shout(89))
                 ActionOverride("UHOGRE01",Enemy())~ UNSOLVED_JOURNAL #2119 EXIT
END

IF ~~ THEN BEGIN rukUHOGRE01F2 // from:
  SAY @431
  IF ~~ THEN DO ~SetGlobal("RukrakiaRomanceActive","GLOBAL",1)~ EXIT
END

IF ~~ THEN BEGIN rukVALYGARF // from:
  SAY @442
  IF ~~ THEN DO ~SetGlobal("RukrakiaRomanceActive","GLOBAL",1)~ EXTERN VALYGAR 28
END

IF ~Global("RukAR1512Comment","LOCALS",1)~ 
  THEN BEGIN RUKRIDDLEC1 // from:
  SAY @446 = @447
  IF ~~ THEN DO ~SetGlobal("RukAR1512Comment","LOCALS",2)~ GOTO RUKRIDDLEC2
END

IF ~~ 
  THEN BEGIN RUKRIDDLEC2 // from:
  SAY @448
  IF ~~ THEN REPLY @449 GOTO RUKRIDDLEC3
  IF ~~ THEN REPLY @450 GOTO RUKRIDDLEC4
  IF ~~ THEN REPLY @451 GOTO RUKRIDDLEC5
  IF ~~ THEN REPLY @452 GOTO RUKRIDDLEC6
  IF ~~ THEN REPLY @453 GOTO RUKRIDDLEC7
  IF ~~ THEN REPLY @505 GOTO RUKRIDDLEC13a
  IF ~~ THEN REPLY @454 GOTO RUKRIDDLEC8
  IF ~~ THEN REPLY @455 GOTO RUKRIDDLEC9
  IF ~~ THEN REPLY @456 GOTO RUKRIDDLEC10
  IF ~~ THEN REPLY @457 GOTO RUKRIDDLEC11
  IF ~~ THEN REPLY @458 GOTO RUKRIDDLEC12
  IF ~~ THEN REPLY @461 EXIT 
END

IF ~True()
    InPartySlot(LastTalkedToBy,0)
    Global("RukrakiaRiddleTalkQ","LOCALS",1)
    AreaCheck("AR1512")
    CombatCounter(0)~
  THEN BEGIN RUKRIDDLEC15 // from:
  SAY @448
  IF ~~ THEN REPLY @449 GOTO RUKRIDDLEC3
  IF ~~ THEN REPLY @450 GOTO RUKRIDDLEC4
  IF ~~ THEN REPLY @451 GOTO RUKRIDDLEC5
  IF ~~ THEN REPLY @452 GOTO RUKRIDDLEC6
  IF ~~ THEN REPLY @453 GOTO RUKRIDDLEC7
  IF ~~ THEN REPLY @505 GOTO RUKRIDDLEC13a
  IF ~~ THEN REPLY @454 GOTO RUKRIDDLEC8
  IF ~~ THEN REPLY @455 GOTO RUKRIDDLEC9
  IF ~~ THEN REPLY @456 GOTO RUKRIDDLEC10
  IF ~~ THEN REPLY @457 GOTO RUKRIDDLEC11
  IF ~~ THEN REPLY @458 GOTO RUKRIDDLEC12
  IF ~~ THEN REPLY @461 DO ~SetGlobal("RukrakiaRiddleTalkQ","LOCALS",0)~ EXIT
  IF ~~ THEN REPLY @474 GOTO RUKRIDDLEC16
  IF ~~ THEN REPLY @499 GOTO RUKRIDDLETOFLIRT
END

IF ~~
  THEN BEGIN RUKRIDDLETOFLIRT // from:
  SAY @36
  IF ~Global("RukrakiaTELEPORT","LOCALS",0)~ THEN REPLY @37 GOTO flirt1
  IF ~Global("RukrakiaTELEPORT","LOCALS",1)~ THEN REPLY @39 GOTO flirt2
  IF ~Global("RukrakiaSCRAttack","LOCALS",0)~ THEN REPLY @40 GOTO flirt3
  IF ~Global("RukrakiaSCRAttack","LOCALS",1)~ THEN REPLY @41 GOTO flirt4
  IF ~Global("RukrakiaRomanceActive","GLOBAL",2)
      RandomNum(4,1)~ THEN REPLY @42 GOTO flirt5
  IF ~Global("RukrakiaRomanceActive","GLOBAL",2)
      RandomNum(4,2)~ THEN REPLY @42 GOTO flirt11
  IF ~Global("RukrakiaRomanceActive","GLOBAL",2)
      RandomNum(4,3)~ THEN REPLY @42 GOTO flirt12
  IF ~Global("RukrakiaRomanceActive","GLOBAL",2)
      RandomNum(4,4)~ THEN REPLY @42 GOTO flirt13
  IF ~GlobalGT("RukrakiaRomanceActive","GLOBAL",2)
      GlobalLT("LoveTalk","LOCALS",22)
      RandomNum(4,1)~ THEN REPLY @42 GOTO flirt6
  IF ~GlobalGT("RukrakiaRomanceActive","GLOBAL",2)
      GlobalLT("LoveTalk","LOCALS",22)
      RandomNum(4,2)~ THEN REPLY @42 GOTO flirt14
  IF ~GlobalGT("RukrakiaRomanceActive","GLOBAL",2)
      GlobalLT("LoveTalk","LOCALS",22)
      RandomNum(4,3)~ THEN REPLY @42 GOTO flirt15
  IF ~GlobalGT("RukrakiaRomanceActive","GLOBAL",2)
      GlobalLT("LoveTalk","LOCALS",22)
      RandomNum(4,4)~ THEN REPLY @42 GOTO flirt16
  IF ~Global("RukrakiaRomanceActive","GLOBAL",5)
      GlobalGT("LoveTalk","LOCALS",21)
      RandomNum(4,1)~ THEN REPLY @42 GOTO flirt7
  IF ~Global("RukrakiaRomanceActive","GLOBAL",5)
      GlobalGT("LoveTalk","LOCALS",21)
      RandomNum(4,2)~ THEN REPLY @42 GOTO flirt17
  IF ~Global("RukrakiaRomanceActive","GLOBAL",5)
      GlobalGT("LoveTalk","LOCALS",21)
      RandomNum(4,3)~ THEN REPLY @42 GOTO flirt18
  IF ~Global("RukrakiaRomanceActive","GLOBAL",5)
      GlobalGT("LoveTalk","LOCALS",21)
      RandomNum(4,4)~ THEN REPLY @42 GOTO flirt19
  IF ~Global("RukrakiaRomanceActive","GLOBAL",5)
      GlobalGT("LoveTalk","LOCALS",21)
      RandomNum(4,1)~ THEN REPLY @46 GOTO flirt8
  IF ~Global("RukrakiaRomanceActive","GLOBAL",5)
      GlobalGT("LoveTalk","LOCALS",21)
      RandomNum(4,2)~ THEN REPLY @46 GOTO flirt20
  IF ~Global("RukrakiaRomanceActive","GLOBAL",5)
      GlobalGT("LoveTalk","LOCALS",21)
      RandomNum(4,3)~ THEN REPLY @46 GOTO flirt21
  IF ~Global("RukrakiaRomanceActive","GLOBAL",5)
      GlobalGT("LoveTalk","LOCALS",21)
      RandomNum(4,4)~ THEN REPLY @46 GOTO flirt22
  IF ~Global("RukrakiaRomanceActive","GLOBAL",5)
      GlobalGT("LoveTalk","LOCALS",21)
      !GlobalTimerNotExpired("RukrakiaNightBlockT","GLOBAL")
      Global("RukrakiaNightBlock","GLOBAL",0)
      CombatCounter(0)
      !AreaType(DUNGEON)~ THEN REPLY @49 GOTO flirt9
  IF ~Global("RukrakiaRomanceActive","GLOBAL",5)
      GlobalGT("LoveTalk","LOCALS",21)
      !GlobalTimerNotExpired("RukrakiaNightBlockT","GLOBAL")
      Global("RukrakiaNightBlock","GLOBAL",0)
      CombatCounter(0)
      AreaType(DUNGEON)~ THEN REPLY @49 GOTO flirt10
END

IF ~~ 
  THEN BEGIN RUKRIDDLEC16 // from:
  SAY @475
  IF ~~ THEN EXIT
END

IF ~~ 
  THEN BEGIN RUKRIDDLEC13 // from:
  SAY @459
  IF ~~ THEN REPLY @460 DO ~SetGlobal("RukrakiaRiddleTalkQ","LOCALS",1)~ GOTO RUKRIDDLEC14
  IF ~~ THEN REPLY @461 EXIT
END

IF ~~ 
  THEN BEGIN RUKRIDDLEC14 // from:
  SAY @462
  IF ~~ THEN EXIT
END

IF ~~ 
  THEN BEGIN RUKRIDDLEC3 // from:
  SAY @463
  IF ~!Global("RukrakiaRiddleTalkQ","LOCALS",1)~ THEN GOTO RUKRIDDLEC13
  IF ~Global("RukrakiaRiddleTalkQ","LOCALS",1)~ THEN GOTO RUKRIDDLEC15
END

IF ~~ 
  THEN BEGIN RUKRIDDLEC4 // from:
  SAY @464
  IF ~!Global("RukrakiaRiddleTalkQ","LOCALS",1)~ THEN GOTO RUKRIDDLEC13
  IF ~Global("RukrakiaRiddleTalkQ","LOCALS",1)~ THEN GOTO RUKRIDDLEC15
END

IF ~~ 
  THEN BEGIN RUKRIDDLEC5 // from:
  SAY @465
  IF ~!Global("RukrakiaRiddleTalkQ","LOCALS",1)~ THEN GOTO RUKRIDDLEC13
  IF ~Global("RukrakiaRiddleTalkQ","LOCALS",1)~ THEN GOTO RUKRIDDLEC15
END

IF ~~ 
  THEN BEGIN RUKRIDDLEC6 // from:
  SAY @466
  IF ~!Global("RukrakiaRiddleTalkQ","LOCALS",1)~ THEN GOTO RUKRIDDLEC13
  IF ~Global("RukrakiaRiddleTalkQ","LOCALS",1)~ THEN GOTO RUKRIDDLEC15
END

IF ~~ 
  THEN BEGIN RUKRIDDLEC7 // from:
  SAY @467
  IF ~!Global("RukrakiaRiddleTalkQ","LOCALS",1)~ THEN GOTO RUKRIDDLEC13
  IF ~Global("RukrakiaRiddleTalkQ","LOCALS",1)~ THEN GOTO RUKRIDDLEC15
END

IF ~~ 
  THEN BEGIN RUKRIDDLEC8 // from:
  SAY @468
  IF ~!Global("RukrakiaRiddleTalkQ","LOCALS",1)~ THEN GOTO RUKRIDDLEC13
  IF ~Global("RukrakiaRiddleTalkQ","LOCALS",1)~ THEN GOTO RUKRIDDLEC15
END

IF ~~ 
  THEN BEGIN RUKRIDDLEC9 // from:
  SAY @469 = @470
  IF ~!Global("RukrakiaRiddleTalkQ","LOCALS",1)~ THEN GOTO RUKRIDDLEC13
  IF ~Global("RukrakiaRiddleTalkQ","LOCALS",1)~ THEN GOTO RUKRIDDLEC15
END

IF ~~ 
  THEN BEGIN RUKRIDDLEC10 // from:
  SAY @471
  IF ~!Global("RukrakiaRiddleTalkQ","LOCALS",1)~ THEN GOTO RUKRIDDLEC13
  IF ~Global("RukrakiaRiddleTalkQ","LOCALS",1)~ THEN GOTO RUKRIDDLEC15
END

IF ~~ 
  THEN BEGIN RUKRIDDLEC11 // from:
  SAY @472
  IF ~!Global("RukrakiaRiddleTalkQ","LOCALS",1)~ THEN GOTO RUKRIDDLEC13
  IF ~Global("RukrakiaRiddleTalkQ","LOCALS",1)~ THEN GOTO RUKRIDDLEC15
END

IF ~~ 
  THEN BEGIN RUKRIDDLEC12 // from:
  SAY @473
  IF ~!Global("RukrakiaRiddleTalkQ","LOCALS",1)~ THEN GOTO RUKRIDDLEC13
  IF ~Global("RukrakiaRiddleTalkQ","LOCALS",1)~ THEN GOTO RUKRIDDLEC15
END

IF ~~ 
  THEN BEGIN RUKRIDDLEC13a // from:
  SAY @447
  IF ~!Global("RukrakiaRiddleTalkQ","LOCALS",1)~ THEN GOTO RUKRIDDLEC13
  IF ~Global("RukrakiaRiddleTalkQ","LOCALS",1)~ THEN GOTO RUKRIDDLEC15
END

IF ~~ THEN BEGIN RUKRIFTG011 // from:
  SAY @316
  IF ~~ THEN EXTERN ~RIFTG01~ 0
END

IF ~~ THEN BEGIN RUKRIFTG012 // from:
  SAY @317
  IF ~~ THEN EXTERN ~RIFTG01~ 12
END

IF ~~ THEN BEGIN RUKRIFTG013 // from:
  SAY @318
  IF ~~ THEN EXTERN ~RIFTG01~ 26
END

IF ~~ THEN BEGIN ELEARB02#1 // from:
  SAY @320
  IF ~~ THEN EXTERN ~ELEARB02~ 1
END

IF ~~ THEN BEGIN ELEARB03#1 // from:
  SAY @320
  IF ~~ THEN EXTERN ~ELEARB03~ 1
END

IF ~~ THEN BEGIN ELEARB04#1 // from:
  SAY @324
  IF ~~ THEN EXTERN ~ELEARB04~ 1
END

IF ~~ THEN BEGIN ELEARB06#1 // from:
  SAY @325
  IF ~~ THEN EXTERN ~ELEARB06~ 0
END

IF ~~ THEN BEGIN ELEPUZ01#1 // from:
  SAY @326 = @327
  IF ~~ THEN EXTERN ~ELEPUZ01~ 3
END

IF ~~ THEN BEGIN ELEPUZ02#1 // from:
  SAY @328
  IF ~~ THEN EXTERN ~ELEPUZ02~ 5
END

IF ~~ THEN BEGIN ELEPUZ03#1 // from:
  SAY @329 = @330
  IF ~~ THEN EXTERN ~ELEPUZ03~ 4
END

IF ~~ THEN BEGIN ELEPUZ04#1 // from:
  SAY @331 = @332
  IF ~~ THEN EXTERN ~ELEPUZ04~ 4
END

IF ~~ THEN BEGIN PPSTAT01#1 // from:
  SAY @333
  IF ~~ THEN EXTERN ~PPSTAT01~ 1
END

IF ~~ THEN BEGIN PPSTAT01#2 // from:
  SAY @334
  IF ~~ THEN EXTERN ~PPSTAT01~ 6
END

IF ~~ THEN BEGIN PPSTAT01#3 // from:
  SAY @335
  IF ~~ THEN EXTERN ~PPSTAT01~ 9
END

IF ~~ THEN BEGIN PPSTAT01#4 // from:
  SAY @336
  IF ~~ THEN EXTERN ~PPSTAT01~ 12
END

IF ~~ THEN BEGIN PPSTAT01#5 // from:
  SAY @337
  IF ~~ THEN EXTERN ~PPSTAT01~ 15
END

IF ~~ THEN BEGIN PPSTAT01#6 // from:
  SAY @338
  IF ~~ THEN EXTERN ~PPSTAT01~ 18
END

IF ~~ THEN BEGIN PPSTAT01#7 // from:
  SAY @339
  IF ~~ THEN EXTERN ~PPSTAT01~ 21
END

IF ~~ THEN BEGIN PPSTAT01#8 // from:
  SAY @340
  IF ~~ THEN EXTERN ~PPSTAT01~ 24
END

IF ~~ THEN BEGIN PPSTAT01#9 // from:
  SAY @341 = @342
  IF ~~ THEN EXTERN ~PPSTAT01~ 27
END

IF ~~ THEN BEGIN PPSTAT01#10 // from:
  SAY @343
  IF ~~ THEN EXTERN ~PPSTAT01~ 30
END

IF ~~ THEN BEGIN PPSTAT01#11 // from:
  SAY @344
  IF ~~ THEN EXTERN ~PPSTAT01~ 33
END

IF ~~ THEN BEGIN PPSTAT01#12 // from:
  SAY @345 = @346
  IF ~~ THEN EXTERN ~PPSTAT01~ 36
END

IF ~~ THEN BEGIN SAHBEH01#1 // from:
  SAY @395
  IF ~~ THEN EXTERN ~SAHBEH01~ 35
END

IF ~~ THEN BEGIN RUKVICONI // from:
  SAY @445
  IF ~~ THEN EXTERN ~VICONI~ 4
END

IF ~~ THEN BEGIN rukJUGCOL01#1
 SAY @357
 IF ~~ THEN EXTERN ~JUGCOL01~ rukJUGCOL01#2
END

IF ~~ THEN BEGIN rukJUGCOL01#3
 SAY @359 = @360 = @361
 IF ~~ THEN EXTERN ~JUGCOL01~ rukJUGCOL01#4
END

IF ~~ THEN BEGIN rukJUGCOL01#5
 SAY @363 = @364 = @365 = @366
 IF ~~ THEN EXTERN ~JUGCOL01~ rukJUGCOL01#6
END

IF ~True()
    InPartySlot(LastTalkedToBy,0)
    CombatCounter(0)~
  THEN BEGIN flirt0 // from:
  SAY @36
  IF ~Global("RukrakiaTELEPORT","LOCALS",0)~ THEN REPLY @37 GOTO flirt1
  IF ~Global("RukrakiaTELEPORT","LOCALS",1)~ THEN REPLY @39 GOTO flirt2
  IF ~Global("RukrakiaSCRAttack","LOCALS",0)~ THEN REPLY @40 GOTO flirt3
  IF ~Global("RukrakiaSCRAttack","LOCALS",1)~ THEN REPLY @41 GOTO flirt4
  IF ~Global("RukrakiaRomanceActive","GLOBAL",2)
      RandomNum(4,1)~ THEN REPLY @42 GOTO flirt5
  IF ~Global("RukrakiaRomanceActive","GLOBAL",2)
      RandomNum(4,2)~ THEN REPLY @42 GOTO flirt11
  IF ~Global("RukrakiaRomanceActive","GLOBAL",2)
      RandomNum(4,3)~ THEN REPLY @42 GOTO flirt12
  IF ~Global("RukrakiaRomanceActive","GLOBAL",2)
      RandomNum(4,4)~ THEN REPLY @42 GOTO flirt13
  IF ~GlobalGT("RukrakiaRomanceActive","GLOBAL",2)
      GlobalLT("LoveTalk","LOCALS",22)
      RandomNum(4,1)~ THEN REPLY @42 GOTO flirt6
  IF ~GlobalGT("RukrakiaRomanceActive","GLOBAL",2)
      GlobalLT("LoveTalk","LOCALS",22)
      RandomNum(4,2)~ THEN REPLY @42 GOTO flirt14
  IF ~GlobalGT("RukrakiaRomanceActive","GLOBAL",2)
      GlobalLT("LoveTalk","LOCALS",22)
      RandomNum(4,3)~ THEN REPLY @42 GOTO flirt15
  IF ~GlobalGT("RukrakiaRomanceActive","GLOBAL",2)
      GlobalLT("LoveTalk","LOCALS",22)
      RandomNum(4,4)~ THEN REPLY @42 GOTO flirt16
  IF ~Global("RukrakiaRomanceActive","GLOBAL",5)
      GlobalGT("LoveTalk","LOCALS",21)
      RandomNum(4,1)~ THEN REPLY @42 GOTO flirt7
  IF ~Global("RukrakiaRomanceActive","GLOBAL",5)
      GlobalGT("LoveTalk","LOCALS",21)
      RandomNum(4,2)~ THEN REPLY @42 GOTO flirt17
  IF ~Global("RukrakiaRomanceActive","GLOBAL",5)
      GlobalGT("LoveTalk","LOCALS",21)
      RandomNum(4,3)~ THEN REPLY @42 GOTO flirt18
  IF ~Global("RukrakiaRomanceActive","GLOBAL",5)
      GlobalGT("LoveTalk","LOCALS",21)
      RandomNum(4,4)~ THEN REPLY @42 GOTO flirt19
  IF ~Global("RukrakiaRomanceActive","GLOBAL",5)
      GlobalGT("LoveTalk","LOCALS",21)
      RandomNum(4,1)~ THEN REPLY @46 GOTO flirt8
  IF ~Global("RukrakiaRomanceActive","GLOBAL",5)
      GlobalGT("LoveTalk","LOCALS",21)
      RandomNum(4,2)~ THEN REPLY @46 GOTO flirt20
  IF ~Global("RukrakiaRomanceActive","GLOBAL",5)
      GlobalGT("LoveTalk","LOCALS",21)
      RandomNum(4,3)~ THEN REPLY @46 GOTO flirt21
  IF ~Global("RukrakiaRomanceActive","GLOBAL",5)
      GlobalGT("LoveTalk","LOCALS",21)
      RandomNum(4,4)~ THEN REPLY @46 GOTO flirt22
  IF ~Global("RukrakiaRomanceActive","GLOBAL",5)
      GlobalGT("LoveTalk","LOCALS",21)
      !GlobalTimerNotExpired("RukrakiaNightBlockT","GLOBAL")
      Global("RukrakiaNightBlock","GLOBAL",0)
      CombatCounter(0)
      !AreaType(DUNGEON)~ THEN REPLY @49 GOTO flirt9
  IF ~Global("RukrakiaRomanceActive","GLOBAL",5)
      GlobalGT("LoveTalk","LOCALS",21)
      !GlobalTimerNotExpired("RukrakiaNightBlockT","GLOBAL")
      Global("RukrakiaNightBlock","GLOBAL",0)
      CombatCounter(0)
      AreaType(DUNGEON)~ THEN REPLY @49 GOTO flirt10
END

//---------------------------------------------------------

APPEND ~RUKSEZAR~
IF ~!Global("RukrakiaSezarF","LOCALS",1)~ 
  THEN BEGIN se0 // from:
  SAY @24
  IF ~~ THEN REPLY @25 EXTERN ~rukraj~ B1
END

IF ~!Global("RukrakiaSezarF","LOCALS",1)~ 
  THEN BEGIN se1 // from:
  SAY @26
  IF ~~ THEN EXTERN ~rukraj~ B2
END

IF ~!Global("RukrakiaSezarF","LOCALS",1)~ 
  THEN BEGIN se2 // from:
  SAY @27
  IF ~~ THEN EXTERN ~rukraj~ B3
END

IF ~!Global("RukrakiaSezarF","LOCALS",1)~ 
  THEN BEGIN se3 // from:
  SAY @28
  IF ~~ THEN REPLY @29 DO ~SetGlobal("RukrakiaSezar","GLOBAL",1)~ GOTO se5f
  IF ~~ THEN REPLY @30 GOTO se4f
END

IF ~~ 
  THEN BEGIN se4f // from:
  SAY @491
  IF ~~ THEN DO ~ClearAllActions()
                 StartCutSceneMode()
                 StartCutScene("ruksezaf")~ EXIT
END

IF ~~ 
  THEN BEGIN se5f // from:
  SAY @32
  IF ~~ THEN DO ~ClearAllActions()
                 StartCutSceneMode()
                 StartCutScene("ruksezaf")~ EXIT
END

IF ~Global("RukrakiaSezarF","LOCALS",1)~ 
  THEN BEGIN se6f // from:
  SAY @493
  IF ~~ THEN REPLY @494 GOTO se7f
  IF ~~ THEN REPLY @495 GOTO se7f
  IF ~~ THEN REPLY @496 GOTO se7f
END

IF ~Global("RukrakiaSezarF","LOCALS",1)~ 
  THEN BEGIN se7f // from:
  SAY @497 = @498
  IF ~!Global("RukrakiaSezar","GLOBAL",1)~ THEN GOTO se4
  IF ~Global("RukrakiaSezar","GLOBAL",1)~ THEN GOTO se5
END

IF ~~ 
  THEN BEGIN se4 // from:
  SAY @31
  IF ~!IsValidForPartyDialogue("korgan")
      !IsValidForPartyDialogue("anomen")
      !IsValidForPartyDialogue("edwin")
      !IsValidForPartyDialogue("minsc")~ THEN DO ~SetGlobal("SezarMinsc","GLOBAL",2)
                                                  Shout(ALERT)
                                                  Enemy()~ EXIT
  IF ~IsValidForPartyDialogue("korgan")~ THEN DO ~SetGlobal("SezarMinsc","GLOBAL",2)~ EXTERN ~korganj~ ruknpc2korgan
  IF ~!IsValidForPartyDialogue("korgan")
      IsValidForPartyDialogue("anomen")~ THEN DO ~SetGlobal("SezarMinsc","GLOBAL",2)~ EXTERN ~anomenj~ ruknpc2anomen
  IF ~!IsValidForPartyDialogue("korgan")
      !IsValidForPartyDialogue("anomen")
      IsValidForPartyDialogue("edwin")~ THEN DO ~SetGlobal("SezarMinsc","GLOBAL",2)~ EXTERN ~edwinj~ ruknpc2edwin
  IF ~!IsValidForPartyDialogue("korgan")
      !IsValidForPartyDialogue("anomen")
      !IsValidForPartyDialogue("edwin")
      IsValidForPartyDialogue("minsc")~ THEN DO ~SetGlobal("SezarMinsc","GLOBAL",2)~ EXTERN ~minscj~ ruknpc2minsc
END

IF ~~ 
  THEN BEGIN se5 // from:
  SAY @492
  IF ~~ THEN DO ~SetGlobal("SezarMinsc","GLOBAL",1)
                 Shout(ALERT)
                 Enemy()~ EXIT
END
END

APPEND ~korganj~
IF ~~ 
  THEN BEGIN ruknpc2korgan // from:
  SAY @54
  IF ~!IsValidForPartyDialogue("anomen")
      !IsValidForPartyDialogue("edwin")
      !IsValidForPartyDialogue("minsc")~ THEN DO ~SetGlobal("SezarMinsc","GLOBAL",2)
                                                  ActionOverride("ruksezar",Shout(ALERT))
                                                  ActionOverride("ruksezar",Enemy())~ EXIT
  IF ~IsValidForPartyDialogue("anomen")~ THEN DO ~SetGlobal("SezarMinsc","GLOBAL",2)~ EXTERN ~anomenj~ ruknpc2anomen
  IF ~!IsValidForPartyDialogue("anomen")
      IsValidForPartyDialogue("edwin")~ THEN DO ~SetGlobal("SezarMinsc","GLOBAL",2)~ EXTERN ~edwinj~ ruknpc2edwin
  IF ~!IsValidForPartyDialogue("anomen")
      !IsValidForPartyDialogue("edwin")
      IsValidForPartyDialogue("minsc")~ THEN DO ~SetGlobal("SezarMinsc","GLOBAL",2)~ EXTERN ~minscj~ ruknpc2minsc
END
END

APPEND ~ruksezar~
IF ~~ 
  THEN BEGIN ruknpc2anomen1 // from:
  SAY @56
  IF ~!IsValidForPartyDialogue("edwin")
      !IsValidForPartyDialogue("minsc")~ THEN DO ~SetGlobal("SezarMinsc","GLOBAL",2)
                                                  Shout(ALERT)
                                                  Enemy()~ EXIT
  IF ~IsValidForPartyDialogue("edwin")~ THEN DO ~SetGlobal("SezarMinsc","GLOBAL",2)~ EXTERN ~edwinj~ ruknpc2edwin
  IF ~!IsValidForPartyDialogue("edwin")
      IsValidForPartyDialogue("minsc")~ THEN DO ~SetGlobal("SezarMinsc","GLOBAL",2)~ EXTERN ~minscj~ ruknpc2minsc
END
END

APPEND ~anomenj~
IF ~~ 
  THEN BEGIN ruknpc2anomen // from:
  SAY @55
  IF ~~ THEN EXTERN RUKSEZAR ruknpc2anomen1
END
END

APPEND ~edwinj~
IF ~~ 
  THEN BEGIN ruknpc2edwin // from:
  SAY @57
  IF ~!IsValidForPartyDialogue("minsc")~ THEN DO ~SetGlobal("SezarMinsc","GLOBAL",2)
                                                  ActionOverride("ruksezar",Shout(ALERT))
                                                  ActionOverride("ruksezar",Enemy())~ EXIT
  IF ~IsValidForPartyDialogue("minsc")~ THEN DO ~SetGlobal("SezarMinsc","GLOBAL",2)~ EXTERN ~minscj~ ruknpc2minsc
END
END

APPEND ~minscj~
IF ~~ 
  THEN BEGIN ruknpc2minsc // from:
  SAY @94
  IF ~~ THEN DO ~SetGlobal("SezarMinsc","GLOBAL",2)
                 ActionOverride("ruksezar",Shout(ALERT))
                 ActionOverride("ruksezar",Enemy())~ EXIT
END
END


//----------------------


INTERJECT_COPY_TRANS UDSILVER 9 ruktalksilverdragon
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @71
== UDSILVER IF ~IsValidForPartyDialogue("rukrakia")~
THEN @72
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @73
== UDSILVER IF ~IsValidForPartyDialogue("rukrakia")~
THEN @74
END

ADD_TRANS_ACTION FIRKRA01 BEGIN 9 END BEGIN END ~SetGlobal("RukMeetFirkTalk1","LOCALS",1)~

INTERJECT_COPY_TRANS FIRKRA02 21 ruktalkreddragon
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @81
== FIRKRA02 IF ~IsValidForPartyDialogue("rukrakia")~
THEN @82
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @83
== FIRKRA02 IF ~IsValidForPartyDialogue("rukrakia")~
THEN @84
END

INTERJECT UDDUER02 1 rukudduer02
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @85 = @86
END UDDUER02 6

INTERJECT_COPY_TRANS UDOGRE 6 rukudogre
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @87 = @88 = @89 = @90
END

INTERJECT_COPY_TRANS TAZOK 1 ruktazok
== rukraj IF ~IsValidForPartyDialogue("rukrakia") GlobalLT("RukrakiaRomanceActive","GLOBAL",2)~
THEN @97
END

INTERJECT_COPY_TRANS TAZOK 1 ruktazok
== rukraj IF ~IsValidForPartyDialogue("rukrakia") GlobalGT("RukrakiaRomanceActive","GLOBAL",1)~
THEN @91 = @92
== TAZOK IF ~IsValidForPartyDialogue("rukrakia") GlobalGT("RukrakiaRomanceActive","GLOBAL",1)~
THEN @93
== rukraj IF ~IsValidForPartyDialogue("rukrakia") GlobalGT("RukrakiaRomanceActive","GLOBAL",1)~
THEN @95
== TAZOK IF ~IsValidForPartyDialogue("rukrakia") GlobalGT("RukrakiaRomanceActive","GLOBAL",1)~
THEN @96
END

INTERJECT_COPY_TRANS UDSIMYAZ 6 rukudsimyaz
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @98 = @99 = @100 = @101
END

INTERJECT_COPY_TRANS2 dadrow17 3 rukdadrow17
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @102 = @103
END

INTERJECT_COPY_TRANS2 SHADRA01 0 rukshadD
== rukraj IF ~IsValidForPartyDialog("rukrakia")~
THEN @75
== SHADRA01 IF ~IsValidForPartyDialog("rukrakia")~
THEN @76
== rukraj IF ~IsValidForPartyDialog("rukrakia")~
THEN @77 = @78
END

INTERJECT_COPY_TRANS BODHI 2 rukbodhi#0
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @105
== BODHI IF ~IsValidForPartyDialogue("rukrakia")~
THEN @106
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @107
== BODHI IF ~IsValidForPartyDialogue("rukrakia")~
THEN @108 = @109 = @110
END

INTERJECT_COPY_TRANS BODHI 18 rukbodhi#1
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @111
END

INTERJECT_COPY_TRANS BODHI 31 rukbodhi#2
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @112
== BODHI IF ~IsValidForPartyDialogue("rukrakia")~
THEN @113
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @114
== BODHI IF ~IsValidForPartyDialogue("rukrakia")~
THEN @115
END

INTERJECT_COPY_TRANS BODHI 57 rukbodhi#3
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @116
END

INTERJECT_COPY_TRANS BODHI 50 rukbodhi#4
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @117
END

INTERJECT_COPY_TRANS BODHI 77 rukbodhi#5
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @118
END

INTERJECT_COPY_TRANS BODHI 112 rukbodhi#6
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @119
END

INTERJECT_COPY_TRANS BODHI2 15 rukbodhi2#0
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @120
== BODHI2 IF ~IsValidForPartyDialogue("rukrakia")~
THEN @121 = @122 = @123
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @124
== BODHI2 IF ~IsValidForPartyDialogue("rukrakia")~
THEN @125
END

INTERJECT_COPY_TRANS BODHI2 16 rukbodhi2#1
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @120
== BODHI2 IF ~IsValidForPartyDialogue("rukrakia")~
THEN @121 = @122 = @123
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @124
== BODHI2 IF ~IsValidForPartyDialogue("rukrakia")~
THEN @125
END

INTERJECT_COPY_TRANS BODHI2 17 rukbodhi2#2
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @120
== BODHI2 IF ~IsValidForPartyDialogue("rukrakia")~
THEN @121 = @122 = @123
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @124
== BODHI2 IF ~IsValidForPartyDialogue("rukrakia")~
THEN @125
END

INTERJECT_COPY_TRANS2 BODHI2 19 rukbodhi2#3
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @254
END

INTERJECT_COPY_TRANS2 BODHI2 20 rukbodhi2#4
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @254
END

INTERJECT_COPY_TRANS2 BODHI2 21 rukbodhi2#5
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @254
END

INTERJECT_COPY_TRANS2 BODHI2 23 rukbodhi2#6
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @254
END

INTERJECT_COPY_TRANS2 BODHI2 25 rukbodhi2#7
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @255
END

INTERJECT_COPY_TRANS2 BODHI2 26 rukbodhi2#8
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @255
END

INTERJECT_COPY_TRANS2 BODHI2 27 rukbodhi2#8
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @255
END

INTERJECT_COPY_TRANS BODHIAMB 6 rukbodhiamb
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @126
== BODHIAMB IF ~IsValidForPartyDialogue("rukrakia")~
THEN @256
END

INTERJECT_COPY_TRANS PPBODHI4 13 rukppbodhi4#0
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @127 = @128
== PPBODHI4 IF ~IsValidForPartyDialogue("rukrakia")~
THEN @129
END

INTERJECT_COPY_TRANS PPBODHI4 21 rukppbodhi4#1
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @130
END

INTERJECT_COPY_TRANS2 C6BODHI 22 rukc6bodhi
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @131
END

INTERJECT_COPY_TRANS2 PPJOYE 3 rukPPJOYE
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @257
END

INTERJECT_COPY_TRANS PPJOYE2 3 rukdaisontan
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @134
END

INTERJECT_COPY_TRANS2 PPJOYE2 12 rukdaisontan1
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @258
END

INTERJECT_COPY_TRANS PPIRENI2 42 rukppireni2#0
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @135
== PPIRENI2 IF ~IsValidForPartyDialogue("rukrakia")~
THEN @136
END

INTERJECT_COPY_TRANS PPIRENI2 48 rukppireni2#1
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @137 = @138
== PPIRENI2 IF ~IsValidForPartyDialogue("rukrakia")~
THEN @139 = @140
END

INTERJECT_COPY_TRANS PPIRENI2 33 rukppireni2#2
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @141 = @142
== PPIRENI2 IF ~IsValidForPartyDialogue("rukrakia")~
THEN @143 = @144
END

INTERJECT LYROS 13 ruklyros1
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @145
== LYROS IF ~IsValidForPartyDialogue("rukrakia")~
THEN @146
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @147
== LYROS IF ~IsValidForPartyDialogue("rukrakia")~
THEN @148
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @149
== LYROS IF ~IsValidForPartyDialogue("rukrakia")~
THEN @150
END rukraj rukattackzar

INTERJECT LYROS 14 ruklyros2
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @145
== LYROS IF ~IsValidForPartyDialogue("rukrakia")~
THEN @146
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @147
== LYROS IF ~IsValidForPartyDialogue("rukrakia")~
THEN @148
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @149
== LYROS IF ~IsValidForPartyDialogue("rukrakia")~
THEN @150
END rukraj rukattackzar

INTERJECT LYROS 18 ruklyros3
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @145
== LYROS IF ~IsValidForPartyDialogue("rukrakia")~
THEN @146
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @147
== LYROS IF ~IsValidForPartyDialogue("rukrakia")~
THEN @148
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @149
== LYROS IF ~IsValidForPartyDialogue("rukrakia")~
THEN @150
END rukraj rukattackzar

INTERJECT_COPY_TRANS2 IMOEN2 21 rukimoen22
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @155
== IMOEN2 IF ~IsValidForPartyDialogue("rukrakia")~
THEN @156
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @157 = @158
== IMOEN2 IF ~IsValidForPartyDialogue("rukrakia")~
THEN @159
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @160 = @161 = @162
END

INTERJECT_COPY_TRANS PPINN01 12 rukPPINN01
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @500 = @501 = @502 = @503
END

INTERJECT_COPY_TRANS PPSAEM 13 rukppsaem1
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @163
END

INTERJECT_COPY_TRANS PPSAEM 52 rukppsaem4
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @163
END

INTERJECT_COPY_TRANS PPSAEM 31 rukppsaem2
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @164
== PPSAEM IF ~IsValidForPartyDialogue("rukrakia")~
THEN @165
END

INTERJECT_COPY_TRANS PPSAEM 39 rukppsaem3
== rukraj IF ~IsValidForPartyDialogue("rukrakia") IsValidForPartyDialogue("minsc")~
THEN @166
== minscj IF ~IsValidForPartyDialogue("rukrakia") IsValidForPartyDialogue("minsc")~
THEN @167
== PPSAEM IF ~IsValidForPartyDialogue("rukrakia") IsValidForPartyDialogue("minsc")~
THEN @168
END

INTERJECT_COPY_TRANS PPSAEM 56 rukppsaem5
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @169
END

INTERJECT_COPY_TRANS2 PPSAEM 59 rukppsaem6
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @170 = @171
END

INTERJECT_COPY_TRANS PPSAEM2 7 rukppsaem21
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @172 = @173
== PPSAEM2 IF ~IsValidForPartyDialogue("rukrakia")~
THEN @174
END

INTERJECT_COPY_TRANS PPSAEM2 16 rukppsaem22
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @175
END

INTERJECT_COPY_TRANS PPSAEM2 24 rukppsaem23
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @176
END

INTERJECT_COPY_TRANS PPSAEM3 1 rukppsaem31
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @177
== PPSAEM3 IF ~IsValidForPartyDialogue("rukrakia")~
THEN @178
END

INTERJECT_COPY_TRANS PPSAEM3 19 rukppsaem32
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @179 = @180
END

INTERJECT_COPY_TRANS PPSIME 6 rukppsime
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @181
END

INTERJECT_COPY_TRANS KELDORJ 22 rukkeldorj1
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @190
== KELDORJ IF ~IsValidForPartyDialogue("rukrakia")~
THEN @191
END

INTERJECT_COPY_TRANS KELDORJ 26 rukkeldorj2
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @192
END

INTERJECT_COPY_TRANS KORGANA 3 rukkorgana1
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @193
== KORGANA IF ~IsValidForPartyDialogue("rukrakia")~
THEN @194 = @195
END

INTERJECT KORGANJ 13 rukkorganj1
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @196
== KORGANJ IF ~IsValidForPartyDialogue("rukrakia")~
THEN @197
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @198
END RUKRAJ rukatkorgan

INTERJECT KORGANJ 14 rukkorganj2
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @196
== KORGANJ IF ~IsValidForPartyDialogue("rukrakia")~
THEN @197
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @198
END RUKRAJ rukatkorgan

INTERJECT_COPY_TRANS KPGLAI01 2 rukKPGLAI01
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @200
END

INTERJECT_COPY_TRANS LAVOK 2 rukLAVOK
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @201 = @202
END

INTERJECT LOUTCAPT 1 rukLOUTCAPT
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @203
END RUKRAJ rukatcaptin

INTERJECT_COPY_TRANS MAZZY 24 rukMAZZY
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @205 = @206
== MAZZY IF ~IsValidForPartyDialogue("rukrakia")~
THEN @207 = @208 = @209
END

INTERJECT_COPY_TRANS MEKRAT 24 rukMEKRAT
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @210
END

INTERJECT_COPY_TRANS MEKRAT 5 rukMEKRAT1
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @210
END

INTERJECT_COPY_TRANS MINSCJ 11 rukminscj1
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @211
END

INTERJECT_COPY_TRANS MINSCJ 29 rukminscj2
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @212
END

INTERJECT_COPY_TRANS NALIA 13 ruknalia1
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @213
END

INTERJECT_COPY_TRANS NALIA 14 ruknalia2
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @214
END


INTERJECT_COPY_TRANS NALIA 25 ruknalia3
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @215 = @216
END

INTERJECT_COPY_TRANS NALIA 26 ruknalia4
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @215 = @216
END

INTERJECT_COPY_TRANS NALIAJ 8 ruknaliaj1
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @217 = @218 = @219
END

INTERJECT_COPY_TRANS DELCIA 3 rukdelcia1
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @220 = @221
END

INTERJECT_COPY_TRANS DELCIA 4 rukdelcia2
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @220 = @221
== DELCIA IF ~IsValidForPartyDialogue("rukrakia")~
THEN @222
END

INTERJECT_COPY_TRANS EDWIN 1 rukEDWIN1
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @224 = @225
END

INTERJECT_COPY_TRANS EDWIN 8 rukEDWIN2
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @223
END

INTERJECT_COPY_TRANS EDWIN 26 rukEDWIN3
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @226
== EDWIN IF ~IsValidForPartyDialogue("rukrakia")~
THEN @227
END

INTERJECT_COPY_TRANS JAHEIRAJ 50 rukBARONP1
== rukraj IF ~IsValidForPartyDialogue("rukrakia") IsValidForPartyDialogue("JAHEIRA")~
THEN @228 = @229
== JAHEIRAJ IF ~IsValidForPartyDialogue("rukrakia") IsValidForPartyDialogue("JAHEIRA")~
THEN @230
== rukraj IF ~IsValidForPartyDialogue("rukrakia") IsValidForPartyDialogue("JAHEIRA")~
THEN @231 = @232
END

INTERJECT_COPY_TRANS JAHEIRAJ 51 rukBARONP2
== rukraj IF ~IsValidForPartyDialogue("rukrakia") IsValidForPartyDialogue("JAHEIRA")~
THEN @228 = @229
== JAHEIRAJ IF ~IsValidForPartyDialogue("rukrakia") IsValidForPartyDialogue("JAHEIRA")~
THEN @230
== rukraj IF ~IsValidForPartyDialogue("rukrakia") IsValidForPartyDialogue("JAHEIRA")~
THEN @231 = @232
END

INTERJECT JAHEIRAJ 46 rukJAHEIRAJ1
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @233
END RUKRAJ rukJAHEIRAJF

INTERJECT JAHEIRAJ 47 rukJAHEIRAJ2
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @233
END RUKRAJ rukJAHEIRAJF

INTERJECT_COPY_TRANS CEFALDOR 0 rukCEFALDOR
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @236 = @237 = @238 = @239 = @240
== CEFALDOR IF ~IsValidForPartyDialogue("rukrakia")~
THEN @241
END

INTERJECT_COPY_TRANS CERND 70 rukCERND1
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @242 = @243
== CERND IF ~IsValidForPartyDialogue("rukrakia")~
THEN @244 = @245
END

INTERJECT_COPY_TRANS CERND 76 rukCERND2
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @246
== CERND IF ~IsValidForPartyDialogue("rukrakia")~
THEN @247
END

INTERJECT_COPY_TRANS CERNDJ 30 rukCERNDJ1
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @248 = @249 = @250
END

INTERJECT_COPY_TRANS CERNDJ 31 rukCERNDJ2
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @248 = @249 = @250
END

INTERJECT_COPY_TRANS CERNDJ 32 rukCERNDJ3
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @248 = @249 = @250
END

INTERJECT_COPY_TRANS CRTHF03 5 rukCRTHF031
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @251
END

INTERJECT_COPY_TRANS CRTHF03 11 rukCRTHF032
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @252
END

INTERJECT_COPY_TRANS2 DCLERIC 1 rukDCLERIC1
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @253
END

INTERJECT_COPY_TRANS2 DCLERIC 2 rukDCLERIC2
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @253
END

INTERJECT_COPY_TRANS2 DCLERIC 3 rukDCLERIC3
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @253
END

INTERJECT_COPY_TRANS2 DCLERIC 4 rukDCLERIC4
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @253
END

INTERJECT_COPY_TRANS IMOEN2 22 rukimoen21
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN 152 = @153 = @154
END

INTERJECT_COPY_TRANS2 SUJON 14 rukirenidie
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @132 = @133
END

INTERJECT_COPY_TRANS2 DRAGBLAC 2 rukDRAGBLAC1
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @259
END

INTERJECT_COPY_TRANS2 DRAGBLAC 5 rukDRAGBLAC2
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @259
END

INTERJECT_COPY_TRANS2 DRAGBLAC 9 rukDRAGBLAC3
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @259
END

INTERJECT_COPY_TRANS2 DRAGBLAC 12 rukDRAGBLAC4
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @259
END

INTERJECT_COPY_TRANS2 EDWINJ 9 rukEDWINJ1
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @262
== EDWINJ IF ~IsValidForPartyDialogue("rukrakia")~
THEN @263
END

INTERJECT_COPY_TRANS2 EDWINJ 15 rukEDWINJ2
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @260
== EDWINJ IF ~IsValidForPartyDialogue("rukrakia")~
THEN @261
END

INTERJECT_COPY_TRANS EDWINJ 37 rukEDWINJ3
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @264
END

INTERJECT_COPY_TRANS EDWINJ 21 rukEDWINJ4
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @265
END

INTERJECT_COPY_TRANS ELEARB01 2 rukELEARB01
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @266
END

INTERJECT_COPY_TRANS2 EMBARL 1 rukEMBARL1
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @267
END

INTERJECT_COPY_TRANS2 EMBARL 6 rukEMBARL2
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @268
END

INTERJECT_COPY_TRANS2 FIRWLF01 3 rukFIRWLF011
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @269
END

INTERJECT_COPY_TRANS2 FIRWLF01 4 rukFIRWLF012
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @270
END

INTERJECT_COPY_TRANS2 GAAL 23 rukGAAL0
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @271
END

INTERJECT_COPY_TRANS GAAL 20 rukGAAL1
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @272
END

INTERJECT_COPY_TRANS GAAL 5 rukGAAL2
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @273
END

INTERJECT_COPY_TRANS GARREN 5 rukGARREN1
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @274
END

INTERJECT_COPY_TRANS GARREN 8 rukGARREN2
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @275
END

INTERJECT_COPY_TRANS GARREN 28 rukGARREN3
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @275
END

INTERJECT_COPY_TRANS GARREN 35 rukGARREN4
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @276
END

INTERJECT_COPY_TRANS GARREN 36 rukGARREN5
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @276
END

INTERJECT_COPY_TRANS GARREN 37 rukGARREN6
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @276
END

INTERJECT_COPY_TRANS2 HAEGAN 1 rukHAEGAN1
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @277
END

INTERJECT_COPY_TRANS2 HAEGAN 2 rukHAEGAN2
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @278
END

INTERJECT_COPY_TRANS2 HAEGAN 3 rukHAEGAN3
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @279
END

INTERJECT_COPY_TRANS2 HAEGAN 5 rukHAEGAN4
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @280
END

INTERJECT_COPY_TRANS HAERDA 98 rukHAERDA1
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @281
END

INTERJECT_COPY_TRANS HAERDA 109 rukHAERDA2
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @282
END

INTERJECT_COPY_TRANS HENDAK 5 rukHENDAK1
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @283
END

INTERJECT_COPY_TRANS HENDAK 37 rukHENDAK2
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @284 = @285
END

INTERJECT_COPY_TRANS HENDAK 24 rukHENDAK3
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @286
END

INTERJECT_COPY_TRANS2 HENDAK 17 rukHENDAK4
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @291
END

INTERJECT_COPY_TRANS2 LEHTIN 10 rukLEHTIN1
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @287
END

INTERJECT LEHTIN 16 rukLEHTIN2
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @288
== LEHTIN IF ~IsValidForPartyDialogue("rukrakia")~
THEN @290
END RUKRAJ rukatlehtin

INTERJECT_COPY_TRANS MAEVAR 16 rukMAEVAR1
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @292 = @293
END

INTERJECT_COPY_TRANS MAEVAR 17 rukMAEVAR2
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @294 = @293
END

INTERJECT_COPY_TRANS2 MAEVAR 42 rukMAEVAR3
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @295
END

INTERJECT_COPY_TRANS PIRCOR02 17 rukPIRCOR02
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @296 = @297 = @298
END

INTERJECT_COPY_TRANS2 PIRKID01 3 rukPIRKID011
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @299 = @300
END

INTERJECT_COPY_TRANS2 PIRKID01 4 rukPIRKID012
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @299 = @300
END

INTERJECT_COPY_TRANS2 PIRKID01 5 rukPIRKID013
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @299 = @300
END

INTERJECT PIRMUR01 0 rukPIRMUR01
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @301
== PIRMUR01 IF ~IsValidForPartyDialogue("rukrakia")~
THEN @302
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @303
== PIRMUR01 IF ~IsValidForPartyDialogue("rukrakia")~
THEN @304
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @305
END PIRMUR01 3

INTERJECT_COPY_TRANS2 PIRPIR05 5 rukPIRPIR051
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @306
END

INTERJECT_COPY_TRANS2 PIRPIR05 7 rukPIRPIR052
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @307
END

INTERJECT_COPY_TRANS PPLOVE 9 rukPPLOVE
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @308
END

INTERJECT_COPY_TRANS2 PPIRENI2 39 rukppireni2#3
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @309 = @310
END

INTERJECT_COPY_TRANS RENAL 22 rukRENAL1
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @311
END

INTERJECT_COPY_TRANS RENAL 30 rukRENAL2
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @312
END

INTERJECT_COPY_TRANS RENAL 45 rukRENAL3
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @313
END

INTERJECT_COPY_TRANS RENAL 9 rukRENAL3
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @314 = @315
END

INTERJECT_COPY_TRANS2 RIFTG01 32 rukRIFTG014
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @319
END

INTERJECT_COPY_TRANS ELEARB02 8 rukELEARB02#2
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @321 = @322
END

INTERJECT_COPY_TRANS ELEARB03 8 rukELEARB03#2
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @321 = @323
END

INTERJECT_COPY_TRANS HLDEMI 0 rukHLDEMI
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @347
END

INTERJECT_COPY_TRANS2 HLKANG 3 rukHLKANG
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @348
END

INTERJECT_COPY_TRANS2 HLSHANG 4 rukHLSHANG1
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @349
== HLSHANG IF ~IsValidForPartyDialogue("rukrakia")~
THEN @350
END

INTERJECT_COPY_TRANS2 HLSHANG 7 rukHLSHANG2
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @351
END

INTERJECT HLSION 0 rukHLSION1
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @352
END HLSION 3

INTERJECT_COPY_TRANS JAN 4 rukJAN1
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @353
END

REPLACE_ACTION_TEXT RUKRAJ ~SetGlobal("TalkedToJan","LOCALS",2)~ ~ActionOverride("JAN",SetGlobal("TalkedToJan","LOCALS",2))~

INTERJECT_COPY_TRANS JAN 13 rukJAN2
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @354
END

INTERJECT_COPY_TRANS JUGJER01 8 rukJUGJER01
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @355
END

INTERJECT_COPY_TRANS2 JUGJER01 33 rukJUGJER01
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @356
END

APPEND JUGCOL01
IF ~!InPartySlot(LastTalkedToBy,0)
Name("rukrakia",LastTalkedToBy)
Global("RukrakiaTalktoColet","LOCALS",0)~ THEN BEGIN rukJUGCOL01#0
 SAY #33806
 IF ~~ THEN EXTERN ~rukraj~ rukJUGCOL01#1
END

IF ~~ THEN BEGIN rukJUGCOL01#2
 SAY @358
 IF ~~ THEN EXTERN ~rukraj~ rukJUGCOL01#3
END

IF ~~ THEN BEGIN rukJUGCOL01#4
 SAY @362
 IF ~~ THEN EXTERN ~rukraj~ rukJUGCOL01#5
END

IF ~~ THEN BEGIN rukJUGCOL01#6
 SAY @367
 IF ~~ THEN EXIT
END
END

INTERJECT_COPY_TRANS KAYL2 14 rukKAYL2
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @368
END

INTERJECT_COPY_TRANS RIFTG03 7 rukRIFTG03
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @369
END

INTERJECT_COPY_TRANS RIFTG03 9 rukRIFTG03
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @370
END

INTERJECT_COPY_TRANS2 RIFTG03 25 rukRIFTG03
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @371
END

INTERJECT_COPY_TRANS2 RIFTG03 26 rukRIFTG03
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @371
END

INTERJECT_COPY_TRANS2 RIFTG03 30 rukRIFTG03
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @372
END

INTERJECT_COPY_TRANS2 RNGWLF03 0 rukRNGWLF031
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @373
END

INTERJECT_COPY_TRANS2 RNGWLF03 1 rukRNGWLF032
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @374
END

INTERJECT RUFPAL1 1 rukRUFPAL1#1
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @377
END RUKRAJ rukatRUFPAL1#1

INTERJECT RUFPAL2 1 rukRUFPAL2#1
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @377
END RUKRAJ rukatRUFPAL2#2

INTERJECT RUFPAL2 2 rukRUFPAL2#2
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @375
== RUFFIAN IF ~IsValidForPartyDialogue("rukrakia")~
THEN @379
== RUFPAL2 IF ~IsValidForPartyDialogue("rukrakia")~
THEN @380
END RUKRAJ rukatRUFPAL2#1

INTERJECT RUFPAL2 4 rukRUFPAL2#3
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @375
== RUFFIAN IF ~IsValidForPartyDialogue("rukrakia")~
THEN @379
== RUFPAL2 IF ~IsValidForPartyDialogue("rukrakia")~
THEN @380
END RUKRAJ rukatRUFPAL2#1

INTERJECT RUFFIAN 14 rukRUFFIAN#1
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @375
== RUFFIAN IF ~IsValidForPartyDialogue("rukrakia")~
THEN @379
== RUFPAL2 IF ~IsValidForPartyDialogue("rukrakia")~
THEN @380
END RUKRAJ rukatRUFPAL2#1

INTERJECT RUFFIAN 15 rukRUFFIAN#2
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @375
== RUFFIAN IF ~IsValidForPartyDialogue("rukrakia")~
THEN @379
== RUFPAL2 IF ~IsValidForPartyDialogue("rukrakia")~
THEN @380
END RUKRAJ rukatRUFPAL2#1

INTERJECT RUFFIAN 16 rukRUFFIAN#3
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @375
== RUFFIAN IF ~IsValidForPartyDialogue("rukrakia")~
THEN @379
== RUFPAL2 IF ~IsValidForPartyDialogue("rukrakia")~
THEN @380
END RUKRAJ rukatRUFPAL2#1

INTERJECT SAHBAR03 1 rukSAHBAR03
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @381 = @382 = @383 = @384
== SAHBAR03 IF ~IsValidForPartyDialogue("rukrakia")~
THEN @385
== SAHKNG01 IF ~IsValidForPartyDialogue("rukrakia")~
THEN @386
END SAHKNG01 23

INTERJECT_COPY_TRANS SAHKNG01 23 rukSAHKNG01
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @387 = @388 = @389 = @390 = @504
END

INTERJECT_COPY_TRANS SAHIMP01 3 rukSAHIMP011
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @391 = @392
END

INTERJECT_COPY_TRANS SAHIMP01 19 rukSAHIMP012
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @393
END

INTERJECT_COPY_TRANS SAHIMP02 18 rukSAHIMP02
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @394
END

INTERJECT_COPY_TRANS2 SAMIA 18 rukSAMIA1
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @396 = @397
END

INTERJECT_COPY_TRANS2 SAMIA 23 rukSAMIA2
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @398 = @399
END

INTERJECT_COPY_TRANS SAMIA 21 rukSAMIA3
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @400
END

INTERJECT_COPY_TRANS2 SAMIA 25 rukSAMIA4
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @401 = @402 = @403
END

INTERJECT_COPY_TRANS2 SCLJYSS 12 rukSCLJYSS
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @404
END

INTERJECT_COPY_TRANS SEVDRU01 6 rukSEVDRU01
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @405
END

INTERJECT SEVPAT01 2 rukSEVPAT01#1
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @406
END RUKRAJ rukatSEVPAT01#1

INTERJECT SEVPAT01 11 rukSEVPAT01#2
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @406
END RUKRAJ rukatSEVPAT01#1

INTERJECT_COPY_TRANS2 SEVPAT01 5 rukSEVPAT01#2
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @408
END

INTERJECT_COPY_TRANS2 SEVPAT01 9 rukSEVPAT01#2
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @408
END

INTERJECT_COPY_TRANS2 SEWERM1 22 rukSEWERM1#1
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @409
END

INTERJECT_COPY_TRANS2 SEWERM1 23 rukSEWERM1#2
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @409
END

INTERJECT_COPY_TRANS2 SHADEL 3 rukSHADEL1
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @410
END

INTERJECT_COPY_TRANS2 SHADEL 7 rukSHADEL2
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @411
END

INTERJECT_COPY_TRANS SUELLE2 17 rukSUELLE2
== rukraj IF ~IsValidForPartyDialogue("rukrakia")
              Global("RukrakiaRomanceActive","GLOBAL",5)~
THEN @412 = @413
END

INTERJECT_COPY_TRANS SUJON 15 rukirenidie2
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @414
END

INTERJECT_COPY_TRANS TRCUT06 4 rukTRCUT06
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @415 = @416
END

INTERJECT_COPY_TRANS TRGENI01 16 rukTRGENI01#1
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @417
END

INTERJECT_COPY_TRANS TRGENI01 25 rukTRGENI01#2
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @418
END

INTERJECT_COPY_TRANS TRSKIN02 17 rukTRSKIN02#1
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @419
END

INTERJECT_COPY_TRANS TRSKIN02 0 rukTRSKIN02#2
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @420
END

INTERJECT_COPY_TRANS2 TANNER 19 rukTANNER1
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @421
END

INTERJECT_COPY_TRANS2 TANNER 20 rukTANNER2
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @421
END

INTERJECT_COPY_TRANS2 TANNER 21 rukTANNER3
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @421
END

INTERJECT_COPY_TRANS UDSIMYAZ 5 rukUDSIMYAZ1
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @422
END

INTERJECT_COPY_TRANS UDSIMYAZ 18 rukUDSIMYAZ2
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @423
END

INTERJECT_COPY_TRANS UDSIMYAZ 3 rukUDSIMYAZ3
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @424
END

INTERJECT_COPY_TRANS UHKID01 0 rukUHKID01
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @425
END

INTERJECT_COPY_TRANS UHMAN02 10 rukUHMAN02
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @426
END

INTERJECT_COPY_TRANS UHMAY01 18 rukUHMAY01#1
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @427
END

INTERJECT_COPY_TRANS UHMAY01 22 rukUHMAY01#2
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @428
END

INTERJECT_COPY_TRANS UHMAY01 133 rukUHMAY01#3
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @429
END

INTERJECT UHOGRE01 3 rukUHOGRE01#1
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @430
END RUKRAJ rukUHOGRE01F

INTERJECT UHOGRE01 23 rukUHOGRE01#5
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @430
END RUKRAJ rukUHOGRE01F

INTERJECT UHOGRE01 24 rukUHOGRE01#6
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @430
END RUKRAJ rukUHOGRE01F2

INTERJECT_COPY_TRANS UHOGRE01 15 rukUHOGRE01#2
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @432
END

INTERJECT_COPY_TRANS2 UHOGRE01 22 rukUHOGRE01#3
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @433
END

INTERJECT_COPY_TRANS UHOGRE01 41 rukUHOGRE01#4
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @434
END

INTERJECT_COPY_TRANS2 VAELASA 8 rukVAELASA
== VAELASA IF ~IsValidForPartyDialogue("rukrakia")~
THEN @435
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @436
== VAELASA IF ~IsValidForPartyDialogue("rukrakia")~
THEN @437 = @438 = @439
END

INTERJECT_COPY_TRANS VALYGAR 19 rukVALYGAR
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @440
END

INTERJECT VALYGAR 28 rukVALYGAR
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @441
END RUKRAJ rukVALYGARF

INTERJECT_COPY_TRANS VICONI 0 rukVICONI1
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @443
END

INTERJECT_COPY_TRANS2 VVBODHI 4 rukVVBODHI1
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @444
END

INTERJECT_COPY_TRANS2 VVBODHI 5 rukVVBODHI2
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @444
END

INTERJECT_COPY_TRANS2 VVBODHI 6 rukVVBODHI3
== rukraj IF ~IsValidForPartyDialogue("rukrakia")~
THEN @444
END

ADD_TRANS_TRIGGER RIFTG01 0 ~OR(2)!IsValidForPartyDialog("rukrakia")!Global("RukTalkRIFTG011","LOCALS",0)~
EXTEND_BOTTOM RIFTG01 0
  IF ~IsValidForPartyDialog("rukrakia") Global("RukTalkRIFTG011","LOCALS",0)~ THEN DO ~SetGlobal("RukTalkRIFTG011","LOCALS",1)~ EXTERN ~RUKRAJ~ RUKRIFTG011
END

ADD_TRANS_TRIGGER RIFTG01 12 ~OR(2)!IsValidForPartyDialog("rukrakia")!Global("RukTalkRIFTG012","LOCALS",0)~
EXTEND_BOTTOM RIFTG01 12
  IF ~IsValidForPartyDialog("rukrakia") Global("RukTalkRIFTG012","LOCALS",0)~ THEN DO ~SetGlobal("RukTalkRIFTG012","LOCALS",1)~ EXTERN ~RUKRAJ~ RUKRIFTG012
END

ADD_TRANS_TRIGGER RIFTG01 26 ~OR(2)!IsValidForPartyDialog("rukrakia")!Global("RukTalkRIFTG013","LOCALS",0)~
EXTEND_BOTTOM RIFTG01 26
  IF ~IsValidForPartyDialog("rukrakia") Global("RukTalkRIFTG013","LOCALS",0)~ THEN DO ~SetGlobal("RukTalkRIFTG013","LOCALS",1)~ EXTERN ~RUKRAJ~ RUKRIFTG013
END

ADD_TRANS_TRIGGER ELEARB02 1 ~OR(2)!IsValidForPartyDialog("rukrakia")!Global("RukTalkELEARB02#1","LOCALS",0)~
EXTEND_BOTTOM ELEARB02 1
  IF ~IsValidForPartyDialog("rukrakia") Global("RukTalkELEARB02#1","LOCALS",0)~ THEN DO ~SetGlobal("RukTalkELEARB02#1","LOCALS",1)~ EXTERN ~RUKRAJ~ ELEARB02#1
END

ADD_TRANS_TRIGGER ELEARB03 1 ~OR(2)!IsValidForPartyDialog("rukrakia")!Global("RukTalkELEARB03#1","LOCALS",0)~
EXTEND_BOTTOM ELEARB03 1
  IF ~IsValidForPartyDialog("rukrakia") Global("RukTalkELEARB03#1","LOCALS",0)~ THEN DO ~SetGlobal("RukTalkELEARB03#1","LOCALS",1)~ EXTERN ~RUKRAJ~ ELEARB03#1
END

ADD_TRANS_TRIGGER ELEARB04 1 ~OR(2)!IsValidForPartyDialog("rukrakia")!Global("RukTalkELEARB04#1","LOCALS",0)~
EXTEND_BOTTOM ELEARB04 1
  IF ~IsValidForPartyDialog("rukrakia") Global("RukTalkELEARB04#1","LOCALS",0)~ THEN DO ~SetGlobal("RukTalkELEARB04#1","LOCALS",1)~ EXTERN ~RUKRAJ~ ELEARB04#1
END

ADD_TRANS_TRIGGER ELEARB06 0 ~OR(2)!IsValidForPartyDialog("rukrakia")!Global("RukTalkELEARB06#1","LOCALS",0)~
EXTEND_BOTTOM ELEARB06 0
  IF ~IsValidForPartyDialog("rukrakia") Global("RukTalkELEARB06#1","LOCALS",0)~ THEN DO ~SetGlobal("RukTalkELEARB06#1","LOCALS",1)~ EXTERN ~RUKRAJ~ ELEARB06#1
END

ADD_TRANS_TRIGGER ELEPUZ01 3 ~OR(2)!IsValidForPartyDialog("rukrakia")!Global("RukTalkELEPUZ01#1","LOCALS",0)~
EXTEND_BOTTOM ELEPUZ01 3
  IF ~IsValidForPartyDialog("rukrakia") Global("RukTalkELEPUZ01#1","LOCALS",0)~ THEN DO ~SetGlobal("RukTalkELEPUZ01#1","LOCALS",1)~ EXTERN ~RUKRAJ~ ELEPUZ01#1
END

ADD_TRANS_TRIGGER ELEPUZ02 5 ~OR(2)!IsValidForPartyDialog("rukrakia")!Global("RukTalkELEPUZ02#1","LOCALS",0)~
EXTEND_BOTTOM ELEPUZ02 5
  IF ~IsValidForPartyDialog("rukrakia") Global("RukTalkELEPUZ02#1","LOCALS",0)~ THEN DO ~SetGlobal("RukTalkELEPUZ02#1","LOCALS",1)~ EXTERN ~RUKRAJ~ ELEPUZ02#1
END

ADD_TRANS_TRIGGER ELEPUZ03 4 ~OR(2)!IsValidForPartyDialog("rukrakia")!Global("RukTalkELEPUZ03#1","LOCALS",0)~
EXTEND_BOTTOM ELEPUZ03 4
  IF ~IsValidForPartyDialog("rukrakia") Global("RukTalkELEPUZ03#1","LOCALS",0)~ THEN DO ~SetGlobal("RukTalkELEPUZ03#1","LOCALS",1)~ EXTERN ~RUKRAJ~ ELEPUZ03#1
END

ADD_TRANS_TRIGGER ELEPUZ04 4 ~OR(2)!IsValidForPartyDialog("rukrakia")!Global("RukTalkELEPUZ04#1","LOCALS",0)~
EXTEND_BOTTOM ELEPUZ04 4
  IF ~IsValidForPartyDialog("rukrakia") Global("RukTalkELEPUZ04#1","LOCALS",0)~ THEN DO ~SetGlobal("RukTalkELEPUZ04#1","LOCALS",1)~ EXTERN ~RUKRAJ~ ELEPUZ04#1
END

ADD_TRANS_TRIGGER PPSTAT01 1 ~OR(2)!IsValidForPartyDialog("rukrakia")!Global("RukTalkPPSTAT01#1","LOCALS",0)~
EXTEND_BOTTOM PPSTAT01 1
  IF ~IsValidForPartyDialog("rukrakia") Global("RukTalkPPSTAT01#1","LOCALS",0)~ THEN DO ~SetGlobal("RukTalkPPSTAT01#1","LOCALS",1)~ EXTERN ~RUKRAJ~ PPSTAT01#1
END

ADD_TRANS_TRIGGER PPSTAT01 6 ~OR(2)!IsValidForPartyDialog("rukrakia")!Global("RukTalkPPSTAT01#2","LOCALS",0)~
EXTEND_BOTTOM PPSTAT01 6
  IF ~IsValidForPartyDialog("rukrakia") Global("RukTalkPPSTAT01#2","LOCALS",0)~ THEN DO ~SetGlobal("RukTalkPPSTAT01#2","LOCALS",1)~ EXTERN ~RUKRAJ~ PPSTAT01#2
END

ADD_TRANS_TRIGGER PPSTAT01 9 ~OR(2)!IsValidForPartyDialog("rukrakia")!Global("RukTalkPPSTAT01#3","LOCALS",0)~
EXTEND_BOTTOM PPSTAT01 9
  IF ~IsValidForPartyDialog("rukrakia") Global("RukTalkPPSTAT01#3","LOCALS",0)~ THEN DO ~SetGlobal("RukTalkPPSTAT01#3","LOCALS",1)~ EXTERN ~RUKRAJ~ PPSTAT01#3
END

ADD_TRANS_TRIGGER PPSTAT01 12 ~OR(2)!IsValidForPartyDialog("rukrakia")!Global("RukTalkPPSTAT01#4","LOCALS",0)~
EXTEND_BOTTOM PPSTAT01 12
  IF ~IsValidForPartyDialog("rukrakia") Global("RukTalkPPSTAT01#4","LOCALS",0)~ THEN DO ~SetGlobal("RukTalkPPSTAT01#4","LOCALS",1)~ EXTERN ~RUKRAJ~ PPSTAT01#4
END

ADD_TRANS_TRIGGER PPSTAT01 15 ~OR(2)!IsValidForPartyDialog("rukrakia")!Global("RukTalkPPSTAT01#5","LOCALS",0)~
EXTEND_BOTTOM PPSTAT01 15
  IF ~IsValidForPartyDialog("rukrakia") Global("RukTalkPPSTAT01#5","LOCALS",0)~ THEN DO ~SetGlobal("RukTalkPPSTAT01#5","LOCALS",1)~ EXTERN ~RUKRAJ~ PPSTAT01#5
END

ADD_TRANS_TRIGGER PPSTAT01 18 ~OR(2)!IsValidForPartyDialog("rukrakia")!Global("RukTalkPPSTAT01#6","LOCALS",0)~
EXTEND_BOTTOM PPSTAT01 18
  IF ~IsValidForPartyDialog("rukrakia") Global("RukTalkPPSTAT01#6","LOCALS",0)~ THEN DO ~SetGlobal("RukTalkPPSTAT01#6","LOCALS",1)~ EXTERN ~RUKRAJ~ PPSTAT01#6
END

ADD_TRANS_TRIGGER PPSTAT01 21 ~OR(2)!IsValidForPartyDialog("rukrakia")!Global("RukTalkPPSTAT01#7","LOCALS",0)~
EXTEND_BOTTOM PPSTAT01 21
  IF ~IsValidForPartyDialog("rukrakia") Global("RukTalkPPSTAT01#7","LOCALS",0)~ THEN DO ~SetGlobal("RukTalkPPSTAT01#7","LOCALS",1)~ EXTERN ~RUKRAJ~ PPSTAT01#7
END

ADD_TRANS_TRIGGER PPSTAT01 24 ~OR(2)!IsValidForPartyDialog("rukrakia")!Global("RukTalkPPSTAT01#8","LOCALS",0)~
EXTEND_BOTTOM PPSTAT01 24
  IF ~IsValidForPartyDialog("rukrakia") Global("RukTalkPPSTAT01#8","LOCALS",0)~ THEN DO ~SetGlobal("RukTalkPPSTAT01#8","LOCALS",1)~ EXTERN ~RUKRAJ~ PPSTAT01#8
END

ADD_TRANS_TRIGGER PPSTAT01 27 ~OR(2)!IsValidForPartyDialog("rukrakia")!Global("RukTalkPPSTAT01#9","LOCALS",0)~
EXTEND_BOTTOM PPSTAT01 27
  IF ~IsValidForPartyDialog("rukrakia") Global("RukTalkPPSTAT01#9","LOCALS",0)~ THEN DO ~SetGlobal("RukTalkPPSTAT01#9","LOCALS",1)~ EXTERN ~RUKRAJ~ PPSTAT01#9
END

ADD_TRANS_TRIGGER PPSTAT01 30 ~OR(2)!IsValidForPartyDialog("rukrakia")!Global("RukTalkPPSTAT01#10","LOCALS",0)~
EXTEND_BOTTOM PPSTAT01 30
  IF ~IsValidForPartyDialog("rukrakia") Global("RukTalkPPSTAT01#10","LOCALS",0)~ THEN DO ~SetGlobal("RukTalkPPSTAT01#10","LOCALS",1)~ EXTERN ~RUKRAJ~ PPSTAT01#10
END

ADD_TRANS_TRIGGER PPSTAT01 33 ~OR(2)!IsValidForPartyDialog("rukrakia")!Global("RukTalkPPSTAT01#11","LOCALS",0)~
EXTEND_BOTTOM PPSTAT01 33
  IF ~IsValidForPartyDialog("rukrakia") Global("RukTalkPPSTAT01#11","LOCALS",0)~ THEN DO ~SetGlobal("RukTalkPPSTAT01#11","LOCALS",1)~ EXTERN ~RUKRAJ~ PPSTAT01#11
END

ADD_TRANS_TRIGGER PPSTAT01 36 ~OR(2)!IsValidForPartyDialog("rukrakia")!Global("RukTalkPPSTAT01#12","LOCALS",0)~
EXTEND_BOTTOM PPSTAT01 36
  IF ~IsValidForPartyDialog("rukrakia") Global("RukTalkPPSTAT01#12","LOCALS",0)~ THEN DO ~SetGlobal("RukTalkPPSTAT01#12","LOCALS",1)~ EXTERN ~RUKRAJ~ PPSTAT01#12
END

ADD_TRANS_TRIGGER SAHBEH01 34 ~OR(2)!IsValidForPartyDialog("rukrakia")!Global("RukTalkSAHBEH01","LOCALS",0)~
EXTEND_BOTTOM SAHBEH01 34
  IF ~IsValidForPartyDialog("rukrakia") Global("RukTalkSAHBEH01","LOCALS",0)~ THEN DO ~SetGlobal("RukTalkSAHBEH01","LOCALS",1)~ EXTERN ~RUKRAJ~ SAHBEH01#1
END

ADD_TRANS_TRIGGER VICONI 4 ~OR(2)!IsValidForPartyDialog("rukrakia")!Global("RukTalkVICONI","LOCALS",0)~
EXTEND_BOTTOM VICONI 4
  IF ~ IsValidForPartyDialog("rukrakia") Global("RukTalkVICONI","LOCALS",0)~ THEN DO ~SetGlobal("RukTalkVICONI","LOCALS",1)~ EXTERN ~RUKRAJ~ RUKVICONI
END


//----------------------


APPEND ~SALVANAS~
IF ~!InPartySlot(LastTalkedToBy,0)
Name("rukrakia",LastTalkedToBy)
!Global("RukrakiaAttackSalvanas","LOCALS",2)~ THEN BEGIN ruksalva0
 SAY @58
 IF ~~ THEN EXTERN ~rukraj~ ruksalva1
END

IF ~~ THEN BEGIN ruksalva2 // from:
  SAY @60 = @61 = @62 = @63
  IF ~~ THEN EXTERN ~rukraj~ ruksalva3
END

IF ~~ THEN BEGIN ruksalva4 // from:
  SAY @66 = @67
  IF ~~ THEN DO ~SetGlobal("RukrakiaAttackSalvanas","LOCALS",1)
                 ActionOverride("Salvanas",ChangeAIScript("salvanas", OVERRIDE))~ EXIT
END

IF ~Global("RukrakiaAttackSalvanas","LOCALS",2)~ THEN BEGIN ruksalva5
 SAY @68
 IF ~~ THEN EXTERN ~rukraj~ ruksalva6
END

IF ~~ THEN BEGIN ruksalva7
 SAY @70
 IF ~~ THEN DO ~EscapeArea()~ EXIT
END
END